CVE-2015-8612

NameCVE-2015-8612
DescriptionThe EnableNetwork method in the Network class in plugins/mechanism/Network.py in Blueman before 2.0.3 allows local users to gain privileges via the dhcp_handler argument.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3427-1
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
blueman (PTS)stretch2.0.4-1fixed
stretch (security)2.0.4-1+deb9u1fixed
buster, buster (security)2.0.8-1+deb10u1fixed
bullseye2.1.4-1fixed
bookworm, sid2.2.3-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
bluemansourcesqueeze(not affected)
bluemansourcewheezy1.23-1+deb7u1DSA-3427-1
bluemansourcejessie1.99~alpha1-1+deb8u1DSA-3427-1
bluemansource(unstable)2.0.3-1

Notes

[squeeze] - blueman <not-affected> (vulnerable code not present)
https://github.com/blueman-project/blueman/security/advisories/GHSA-59mx-cfv4-h4hw
https://twitter.com/thegrugq/status/677809527882813440
https://github.com/blueman-project/blueman/commit/a3845bbed5fdddf14daec436b7e74f62719a71c1
https://www.openwall.com/lists/oss-security/2015/12/18/6

Search for package or bug name: Reporting problems